﻿var compatibilityLookupTable = { }

compatibilityLookupTable.nodetype = {
	"Arrays/MathArray"		: "Points/MathPts",
	"Arrays/TextArray"		: "Points/TextPts",
	"Arrays/SphereArray"	: "Points/SpherePts",
	"Arrays/MoveArray"		: "Points/MovePts",
	"Arrays/RotateArray"	: "Points/RotatePts",
	"Arrays/JitterArray"	: "Points/JitterPts",
	"Arrays/ConcatArray"	: "Points/ConcatPts",
	"Arrays/ConvertArray"	: "Points/ConvertPts",
	"Arrays/CloneToArray"	: "Points/CloneToPts"
}

compatibilityLookupTable.properties = {
	"Points/SpherePts"	: {"P_num":"Count", "PtNum":"Count"}
}

compatibilityLookupTable.getNodeType = function( type )
{
	while (this.nodetype[type]) type = this.nodetype[type];
	return type;
}

compatibilityLookupTable.getPropName = function( type, name )
{
	if (this.properties[type]) if (this.properties[type][name]) name = this.properties[type][name];
	return name;
}